process game ()
private
    int g_opcion;
    int g_tiempo;
    
    int hijo_reloj;
begin
    graficos1=load_fpg("grafs/numbers.fpg");
    graficos2=load_fpg("grafs/s_numbers.fpg");
    
    sonido_short_alarm=load_wav("sound/short_alarm.wav");
    sonido_long_alarm=load_wav("sound/long_alarm.wav");
    sonido_bip=load_wav("sound/bip.wav");
    sonido_bwip=load_wav("sound/bwip.wav");
    sonido_bip_agudo=load_wav("sound/bip_agudo.wav");
    
    map_clear(0,0,rgb(206,255,222));
    hijo_reloj=realtime_clock(255,12,0,graficos1,graficos2,50);

    while (g_opcion >= 0)
        menu(&g_opcion,&g_tiempo);
        signal(id,s_sleep);
        frame;
        
        switch (g_opcion)
        case 0: tap_counting_game(g_tiempo); end
        case 1: Ip_counting_game(g_tiempo); end
        case 2: IIp_counting_game(g_tiempo); end
        case 3: IIIp_counting_game(g_tiempo); end
        case 4: IVp_counting_game(g_tiempo); end
        case -1: end
        default: tap_counting_game(10); end
        end //switch
        
        if (g_opcion >= 0)
            signal(id,s_sleep);
            frame;
        end
        //debug
        //g_opcion=-1;
        
        frame;
    end
    
    unload_fpg(graficos1);
    unload_fpg(graficos2);
    
    while (is_playing_wav(canal_short_alarm)) frame; end
    while (is_playing_wav(canal_long_alarm)) frame; end
    while (is_playing_wav(canal_bip)) frame; end
    while (is_playing_wav(canal_bwip)) frame; end
    while (is_playing_wav(canal_bip_agudo)) frame; end
    
    unload_wav(sonido_short_alarm);
    unload_wav(sonido_long_alarm);
    unload_wav(sonido_bip);
    unload_wav(sonido_bwip);
    unload_wav(sonido_bip_agudo);
    
    if (exists(hijo_reloj)) signal(hijo_reloj,s_kill_tree); end
    
    signal(father,s_wakeup);
    frame;
end
