process rt_reloj_digit (x,y,z,file,graph,size)
begin
    signal(id,s_freeze);
    frame;
end

function get_real_time (rt_clock pointer grt_clock)
private
    string grt_hora, grt_minuto, grt_segundo;
    int grt_int_hora, grt_int_minuto, grt_int_segundo;
begin
    //Obtenemos la hora, minuto y segundo actuales en formato texto
    grt_hora=ftime("%H",time());
    grt_minuto=ftime("%M",time());
    grt_segundo=ftime("%S",time());
    
    //Lo pasamos a entero
    grt_int_hora=atoi(grt_hora);
    grt_int_minuto=atoi(grt_minuto);
    grt_int_segundo=atoi(grt_segundo);
    
    //Y lo ponemos en las variables globales
    (*grt_clock).hh2=grt_int_hora%10;
    (*grt_clock).hh1=grt_int_hora/10;
    (*grt_clock).mm2=grt_int_minuto%10;
    (*grt_clock).mm1=grt_int_minuto/10;
    (*grt_clock).ss2=grt_int_segundo%10;
    (*grt_clock).ss1=grt_int_segundo/10;
end

process realtime_clock (x,y,z,file,file2,size)
private
    //rt_clock rtc_reloj;
    
    int hijos[9];
    
    int cont;
begin
    get_real_time(&rtc_reloj);
    
    hijos[0]=rt_reloj_digit(x,y,z-1,file,rtc_reloj.hh1+1,size);
    hijos[1]=rt_reloj_digit(x+11,y,z-1,file,rtc_reloj.hh2+1,size);
    hijos[2]=rt_reloj_digit(x+22,y,z-1,file,11,size);
    hijos[3]=rt_reloj_digit(x+26,y,z-1,file,rtc_reloj.mm1+1,size);
    hijos[4]=rt_reloj_digit(x+37,y,z-1,file,rtc_reloj.mm2+1,size);
    
    for (cont=0;cont<=4;cont++)
        if (hijos[cont].graph != 11)
            hijos[cont+5]=sombra_fija(hijos[cont].x,hijos[cont].y,z,file2,1);
        else
            hijos[cont+5]=sombra_fija(hijos[cont].x,hijos[cont].y,z,file2,2);
        end
        hijos[cont+5].size=size;
    end
    
    /*set_text_color(rgb(0,64,21));
    write_int(0,0,0,0,&(rtc_reloj.hh1));
    write_int(0,10,0,0,&(rtc_reloj.hh2));
    write_int(0,20,0,0,&(rtc_reloj.mm1));
    write_int(0,30,0,0,&(rtc_reloj.mm2));
    write_int(0,40,0,0,&(rtc_reloj.ss1));
    write_int(0,50,0,0,&(rtc_reloj.ss2));*/
    
    timer[0]=0;
    loop
        //if (timer[0] > 100)
            //sumamos un segundo
            rtc_reloj.ss2++;
            if (rtc_reloj.ss2 >= 10)
                rtc_reloj.ss2-=10;
                rtc_reloj.ss1++;
                if (rtc_reloj.ss1 >= 6)
                    rtc_reloj.ss1 -= 6;
                    rtc_reloj.mm2++;
                    if (rtc_reloj.mm2 >= 10)
                        rtc_reloj.mm2-=10;
                        rtc_reloj.mm1++;
                        if (rtc_reloj.mm1 >= 6)
                            rtc_reloj.mm1-=6;
                            rtc_reloj.hh2++;
                            if ((rtc_reloj.hh1 < 2) && (rtc_reloj.hh2 >= 10))
                                rtc_reloj.hh2-=10;
                                rtc_reloj.hh1++;
                            elsif ((rtc_reloj.hh1 == 2) && (rtc_reloj.hh2 >= 4))
                                rtc_reloj.hh2=0;
                                rtc_reloj.hh1=0;
                            elsif (rtc_reloj.hh1 >= 3)
                                rtc_reloj.hh2=0;
                                rtc_reloj.hh1=0;
                            end
                        end
                    end
                end
            end
            
            //Actualizamos los nmeros
            hijos[0].graph=rtc_reloj.hh1+1;
            hijos[1].graph=rtc_reloj.hh2+1;
            hijos[3].graph=rtc_reloj.mm1+1;
            hijos[4].graph=rtc_reloj.mm2+1;
            //Parpadeo de los dos puntos
            if (hijos[2].graph==11) hijos[2].graph=0; else hijos[2].graph=11; end
            //ponemos el timer a cero (mas el tiempo que haya pasado desde el segundo)
            timer[0]-=100;
        //end
        frame(5000);
    end
end
